Package twisted :: Package web :: Package woven :: Module interfaces :: Class IWovenLivePage

[frames | no frames]

## Class IWovenLivePage

    Interface --+
                |
               IWovenLivePage

Method Summary
| ``getCurrentPage`()` Return the current page object contained in this session.
| ``sendJavaScript`(js)` Send "js" to the live page's persistent output conduit for execution in the browser.
| ``setCurrentPage`(page)` Set the current page object contained in this session.

Method Details

### getCurrentPage()

Return the current page object contained in this session.

### sendJavaScript(js)

Send "js" to the live page's persistent output conduit for execution in the browser. If there is no conduit connected yet, save the js and write it as soon as the output conduit is connected.

### setCurrentPage(page)

Set the current page object contained in this session.

Generated by Epydoc 2.0 on Sat May 15 20:08:47 2004 | http://epydoc.sf.net